# Key Events

| Event                                                                                                                                                                      | Description                                                                                                              |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| `DelegateChanged(address indexed delegator, address indexed fromDelegate, address indexed toDelegate)`                                                                     | An event thats emitted when an account changes its [delegate](/governance/delegate.md).                                  |
| `DelegateVotesChanged(address indexed delegate, uint previousBalance, uint newBalance)`                                                                                    | An event thats emitted when a delegate account's vote balance changes.                                                   |
| `ProposalCreated(uint id, address proposer, address[] targets, uint[] values, string[] signatures, bytes[] calldatas, uint startBlock, uint endBlock, string description)` | An event emitted when a new [proposal](/governance/propose.md) is created.                                               |
| `VoteCast(address voter, uint proposalId, bool support, uint votes)`                                                                                                       | An event emitted when a [vote has been cast](/governance/cast-vote.md) on a proposal.                                    |
| `ProposalCanceled(uint id)`                                                                                                                                                | An event emitted when a proposal has been [canceled](/governance/cancel.md).                                             |
| `ProposalQueued(uint id, uint eta)`                                                                                                                                        | An event emitted when a proposal has been [queued](/governance/queue.md) in the [Timelock](/governance/timelock.md).     |
| `ProposalExecuted(uint id)`                                                                                                                                                | An event emitted when a proposal has been [executed](/governance/execute.md) in the [Timelock](/governance/timelock.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/governance/key-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
